version: '3.7'
services:
  backend:
    build:
      context: .
      dockerfile: ./conf.d/backend/Dockerfile
    container_name: url-backend
    network_mode: host

  app:
    build:
      context: .
      dockerfile: ./conf.d/django/Dockerfile
    container_name: url-app
    network_mode: host
    restart: always
    depends_on:
      - backend
#      - redis
    ports:
      - 8066:8066
    volumes:
      - ./static/:/srv/app/static/
      - ./media/:/srv/app/media/
      - /var/log/short_url/:/srv/app/logs/
      - ./db/:/srv/app/db/

#  redis:
#    image: redis:latest
#    container_name: url-redis
#    restart: always
#    hostname: redis
#    network_mode: host

  celery:
    build:
      context: .
      dockerfile: ./conf.d/celery/Dockerfile
    container_name: url-celery
    restart: always
    network_mode: host
    command: celery -A short_url worker -l info
    depends_on:
      - backend
#      - redis
    volumes:
      - /var/log/short_url/:/srv/app/logs/
      - ./db/:/srv/app/db/
